### Function

# Gimp context_list_paint_methods

since: 2.4

#### Declaration [src]

    gboolean
    gimp_context_list_paint_methods (
      gchar*** paint_methods
    )

#### Description [src]

Lists the available paint methods.

Lists the names of the available paint methods. Any of the names can be used for gimp_context_set_paint_method().

Available since: 2.4

#### Parameters

`paint_methods`

  Type: An array of `gchar**`

  The names of the available paint methods.

  The argument will be set by the function.
  The array must be `NULL`-terminated.
  The caller of the function takes ownership of the data, and is responsible for freeing it.
  Each element is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

TRUE on success.